Subject: [TR] Rounder and rounder we go

From: Mark Hooper <[email-masked]>
Date: Mon, 15 Jul 2013 16:32:00 -0400

About 10 years ago I paid a packet to have Boston Rim and Wheel Works
straighten my egg-shaped TR6 rims. The work was good.

Sadly, the dreadful overly-expensive and under-repaired goat paths of Quebec
have taken their toll and the work must be done again. Unfortunately, other
than some old youtube videos it seems that rimandwheelworks is no more.

I really like the look of the original wheels and do not want to go to alloy.
I'd buy new, but they aren't being made I believe.

Does anybody know who can do steel wheel straightening?

Mark Hooper
1972 TR6

** [email-masked] **

Archive: http://www.team.net/archive